Redmine - Defect #4632

Error when adding/creating groups
2010-01-22 11:54 - Joe Chin

Status: Closed Start date: 2010-01-22
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Groups Estimated time: 0.00 hour
Target version: 0.9.1

Resolution: Fixed Affected version:

Description

I've updated redmine to the latest trunk. When I try to create a new group I get an error 500.

Here is the trace from the event
Processing GroupsController#create (for 82.127.39.172 at 2010-01-21 12:36:30) [POST]

Parameters: {"commit"=>"Create", "action"=>"create", "authenticity_token"=>"MN1CPMMOikf/8G32WFAo
+fpkEVLzc+Cpi6VIAPP2SZA=", "controller"=>"groups", "group"=>{"lastname"=>"a"}}

ActiveRecord::StatementInvalid (Mysgl::Error: Column 'login' cannot be null: INSERT INTO "users  (
‘status’, ‘created_on’, ‘last_login_on', “hashed_password', ‘language', “updated_on’', “admin’, "ty
pe’, " firstname', "lastname’, "mail’, “identity_url', "mail_notification’, “auth_source_id', "logi
n') VALUES (1, '2010-01-21 12:36:30', NULL, '', '', '2010-01-21 12:36:30', O, 'Group', '', 'a', '',
NULL, 1, NULL, NULL)):

app/controllers/groups_controller.rb:69:in "create'

app/controllers/groups_controller.rb:68:1in “create'

passenger (2.2.8) lib/phusion_passenger/rack/request_handler.rb:92:in "process_request'

passenger (2.2.8) lib/phusion_passenger/abstract_request_handler.rb:207:in "main_loop'

passenger (2.2.8) lib/phusion_passenger/railz/application_spawner.rb:385:in "“start_request_handl
er'

passenger (2.2.8) lib/phusion_passenger/railz/application_spawner.rb:343:in “handle_spawn_applic

ation'
passenger (2.2.8) lib/phusion_passenger/utils.rb:184:in "“safe_fork'
passenger (2.2.8) lib/phusion_passenger/railz/application_spawner.rb:341:in "handle_spawn_applic
ation'
passenger (2.2.8) lib/phusion_passenger/abstract_server.rb:352:in *_ _send_ '
passenger (2.2.8) lib/phusion_passenger/abstract_server.rb:352:in ‘main_loop'
passenger (2.2.8) lib/phusion_passenger/abstract_server.rb:196:in "start_synchronously'
passenger (2.2.8) lib/phusion_passenger/abstract_server.rb:163:in ‘start'
passenger (2.2.8) lib/phusion_passenger/railz/application_spawner.rb:209:in " start'
passenger (2.2.8) lib/phusion_passenger/spawn_manager.rb:262:in "~ spawn_rails_application'
passenger (2.2.8) lib/phusion_passenger/abstract_server_collection.rb:126:in "lookup_or_add'
passenger (2.2.8) lib/phusion_passenger/spawn_manager.rb:256:in "~ spawn_rails_application'
passenger (2.2.8) lib/phusion_passenger/abstract_server_collection.rb:80:in "~ synchronize'
passenger (2.2.8) lib/phusion_passenger/abstract_server_collection.rb:79:in "~synchronize'
passenger (2.2.8) lib/phusion_passenger/spawn_manager.rb:255:in " spawn_rails_application'
passenger (2.2.8) lib/phusion_passenger/spawn_manager.rb:154:in " spawn_application'
passenger (2.2.8) lib/phusion_passenger/spawn_manager.rb:287:in “handle_spawn_application'
passenger (2.2.8) lib/phusion_passenger/abstract_server.rb:352:in "_ _send_ '
passenger (2.2.8) lib/phusion_passenger/abstract_server.rb:352:in ‘main_loop'
passenger (2.2.8) lib/phusion_passenger/abstract_server.rb:196:in "~start_synchronously'

Rendering /var/lib/redmine—-0.7-dev/public/500.html (500 Internal Server Error)

And here is my redmine environment

About your application's environment

Ruby version 1.8.6 (1486-1inux)
RubyGems version 1.3.5

Rack version 1.0

Rails version 2.3.5

Active Record version 2.3.5
Active Resource version 2.3.5

Action Mailer version 2.3.5

Active Support version 2.3.5

Application root /var/lib/redmine-0.7-dev
Environment production

Database adapter mysqgl

Database schema version 20091227112908

About your Redmine plugins

Google Analytics plugin 0.2.0

Redmine System Notification plugin 0.2.0

Bots filter 1.02

Related issues:

Has duplicate Redmine - Defect #4693: Add Group: 'hashed_password' cannot be ... Closed 2010-01-30

Associated revisions

Revision 3343 - 2010-01-30 11:24 - Jean-Philippe Lang
Fixed: NOT NULL constraint error when adding a group (#4632).

History

#1 - 2010-01-24 00:23 - Holger Just

Well, this should not happen. The login column of the users table is defined to have an empty string by default which should be inserted automatically
during that insert. At least, that's what my Postgres databases do :)

Could you possibly provide the actual database-schema of your current users table?
Also, which version of MySQL are you using?

#2 - 2010-01-25 10:30 - Joe Chin
- File Picture_3.png added

MySql Server version: 5.0.51a-3ubuntu5.4

Here is the screenshot of my schema. If you want the text tell me the sql command because I'm not that familiar with MySql system queries.
users

Table comments: InnoDB free: 23552 kB

Field Type Null Comments
id int(11) No
login varchar(50) No
hashed_password varchar(40) No
firstname varchar(30) No
lastname varchar(30) No
mail varchar(60) No
mail_notification tinyint(1) No 1
admin tinyint(1) No 0
status int(11) No 1
last_login_on datetime Yes NULL
language varchar(5) Yes
auth_source_id int(11}) Yes NULL
created_on datetime Yes NULL
updated_on datetime Yes NULL
type varchar(253) Yes NULL
identity_url varchar(255) Yes NULL
Indexes:
Keyname Type |Cardinality Field
PRIMARY PRIMARY 457 |id
id
index_users_on_id_and_type |INDEX 457 t
vpe
index_users_on_auth_source_id|INDEX 1 |auth_source_id
Space usage: Row Statistics:
Type | Usage S ts Value
Data |114688(B Format Compact
Index | 32.768|B Rows 541
Total |147456|B Rowlengthg |211
Row size @ 273B
Next Autoindex 526
Creation Dec 29,2009 at 07:16 PM
#3 - 2010-01-30 11:18 - Jean-Philippe Lang
- Status changed from New to Closed
- Target version set to 0.9.1
- Resolution set to Fixed
I'm not able to reproduce with the same exact Mysql version (5.0.51a-3ubuntu5.4) but r3343 should fix it.
